package com.softwarebr.nunu.service.res;

import com.brframework.commondb.core.EntityService;
import com.softwarebr.nunu.dto.res.TalentParamDTO;
import com.softwarebr.nunu.entity.res.Talent;

/**
 * 招聘资源
 * @date 2020-02-21 11:48:30
 * @author lilin
 */

public interface TalentService extends EntityService<Talent, Long, Object> {

    /**
     * 保存
     */
    Talent saveTalent(Long publisher, TalentParamDTO talentParamDTO);

    /**
     * 更新
     */
    Talent updateTalent(Long id, TalentParamDTO talentParamDTO);

    /**
     * 上架
     */
    void talentUpperShelf(Long id);

    /**
     * 下架
     */
    void talentLowerShelf(Long id);

    /**
     * 推荐到首页
     */
    void talentIndexYes(Long id);

    /**
     * 取消推荐到首页
     */
    void talentIndexNo(Long id);

    /**
     * 审核
     */
    void talentVerify(Long id, Integer verify, String verifyRemark);
}